Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 605967 - Review Request: sendpage - Dial a modem and send/receive pages via SNPP/TAP
Summary: Review Request: sendpage - Dial a modem and send/receive pages via SNPP/TAP
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-06-19 17:56 UTC by Nathaniel McCallum
Modified: 2012-06-29 22:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 22:14:12 UTC


Attachments (Terms of Use)

Description Nathaniel McCallum 2010-06-19 17:56:58 UTC
Spec URL: http://nathaniel.themccallums.org/rpms/sendpage.spec
SRPM URL: http://nathaniel.themccallums.org/rpms/sendpage-1.000003-1.fc13.src.rpm
Description:
To send alphanumeric pages to a pager, if an email gateway is unavailable
or undesirable, software is needed to control a modem which will dial a
"Paging Central", and deliver the pages using an ASCII delivery system
known as "TAP".

Sendpage implements all aspects of this type of software, including an
SNPP client, an SNPP server, a queuing engine, a modem control engine, a
TAP communication system, and an email notification system.

Comment 1 Jason Tibbitts 2010-11-23 19:18:40 UTC
This fails to build for me:

Checking for unpackaged file(s): /usr/lib/rpm/check-files /builddir/build/BUILDROOT/sendpage-1.000003-1.fc15.x86_64
error: Installed (but unpackaged) file(s) found:
   /usr/local/lib64/perl5/auto/sendpage/.packlist
    Installed (but unpackaged) file(s) found:
   /usr/local/lib64/perl5/auto/sendpage/.packlist

If you look at other perl packages, or the suggested template, you'll see that these are always deleted.  However, I'm not sure how they would end up under /usr/local, as it is not permissible for Fedora packages to ever place files there.

The spec uses macros inconsistently; please just drop the bizarre and difficult-to-type %{__install} and %{__mkdir_p}.  Or, if you insist on them, you need at least %{__sed} and %{__rm} as well.

Please clear the whiteboard when providing a package which builds.

Comment 2 Jason Tibbitts 2012-06-29 22:14:12 UTC
Still doesn't build after 19 months; closing.


Note You need to log in before you can comment on or make changes to this bug.